## Copyright (C) 2005, 2006 John W. Eaton
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
## 02110-1301, USA.

## A structure containing the status of each element in the list.  It
## keeps track of which objects are in use and their handle number.
global __uiobject_list_status__;

if isempty (__uiobject_list_status__)
  ## We need to create the root object
  __uiobject_list_status__(1).handle = 0;
  __uiobject_list_status__(1).in_use = 1;  
endif

## A structure array of UI objects.  Creating and deleting elements
## from the array is handled by __uiobject_create_object__ and
## __uiobject_delete__.
##
## An object in the list that has been initialized (by a function like
## figure, axes, line, etc.) will have fields as defined in
## __uiobject_default_root__.

global __uiobject_list__;

if isempty (__uiobject_list__)
  ## create the root object
  __uiobject_list__{1} = __uiobject_default_root__ ();
endif
