## Copyright (C) 2005, 2006 John W. Eaton
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
## 02110-1301, USA.

## -*- texinfo -*-
## @deftypefn {Function File} {} __uiobject_grow_list__ ()
## Create or increase the size of @code{__uiobject_list__}.
## @end deftypefn

## Author: jwe

function __uiobject_grow_list__ ()

  __uiobject_globals__;

  if (nargin > 0)
    usage ("__uiobject_grow_list__ ()");
  endif

  static grow_size = 100;
  curr_size = length (__uiobject_list__);
  new_size = curr_size + grow_size;
  new_range = (curr_size + 1:new_size);

  ## increase the sizes
  __uiobject_list__{new_range} = struct([]);
  __uiobject_list_status__(new_range).in_use = false;
  __uiobject_list_status__(new_range).handle = NaN;

endfunction
