## Copyright (C) 2005, 2006 John W. Eaton
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
## 02110-1301, USA.

## -*- texinfo -*-
## @deftypefn {Function File} {} __uiobject_handle2idx__ (@var{h})
## Return the index in the __uiobject_list__ corresponding to the handle
## @var{h}.
## @end deftypefn

## Author: jwe

function idx = __uiobject_handle2idx__ (h)

  __uiobject_globals__;

  idx = [];
  if (nargin == 1)
    ## FIXME: can this be done more efficiently?
    for i = 1:length(h)
      idx(i) = find ([__uiobject_list_status__.handle] == h(i), 1);
    endfor
  else
    usage ("__uiobject_handle2idx__ (h)");
  endif

endfunction
