## Copyright (C) 2006 Bill Denney
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
## 02110-1301, USA.

## -*- texinfo -*-
## @deftypefn {Function File} {@var{t}} = __uiobject_update_timestamp__ ()
## Update the currenttimestamp property of the root object and return
## the new timestamp, @var{t}.  This does not go through set because
## updating the root currenttimestamp property is not considered to be
## an update of the root object while any other modification in the
## system is considered an update of any object.
## @end deftypefn

## Author: Bill Denney

function t = __uiobject_update_timestamp__ ()

  __uiobject_globals__;

  ridx = __uiobject_handle2idx__ (0);
  t = __uiobject_list__{ridx}.currenttimestamp;
  t = t + 1;
  __uiobject_list__{ridx}.currenttimestamp = t;

endfunction