## Copyright (C) 2005, 2006 John W. Eaton
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
## 02110-1301, USA.

## -*- texinfo -*-
## @deftypefn {Function File} {} ishandle (@var{h})
## Return 1 if @var{h} is a graphics handle and 0 otherwise.
## @end deftypefn

## Author: jwe

function retval = ishandle (h)

  __uiobject_globals__;

  if (nargin == 1)
    if isempty (h)
      error ("ishandle: argument cannot be empty");
    elseif (~ isnumeric (h))
      retval = zeros (size (h));
    else
      ## actually determine if they are active handles
      used = find([__uiobject_list_status__.in_use]);
      if ~ isempty (used)
	retval = ismember(h, [__uiobject_list_status__(used).handle]);
      else
	retval = zeros (size (h));
      endif
    endif

  else
    usage ("ishandle (h)");
  endif

endfunction
